Java, is a cross-platform programming language created by Sun Microsystems and is now owned by the Oracle company

learn more… | top users | synonyms

3
votes
2answers
65 views

Could the Java Updater (com.oracle.java.Java-Updater) be the source of all my kernel panics?

In the past few months I've been getting more kernel panics than usual. This is on my late 2012 2.3 GHz Intel Core i7 Mac Mini, running OS X Yosemite (OS X 10.2.2) with 16 GB of RAM. Looking at the ...
1
vote
0answers
10 views

How do I automate selecting files in a .jar file?

My .jar file has a number of buttons that, when clicked, prompts me to select a file to load. I need to find a way to get this file selection to be automated, and decided on applescript. ...
0
votes
1answer
642 views

Can't update Java due to apparently newer version already installed

I'm trying to update Java on my MacBook (OS X 10.9.5). When I download the most resent version (v8 update 40) from java.com and try to install it, it pops up an error box saying You are trying to ...
0
votes
0answers
41 views

Cannot enable Java in Safari

I have the following running on my Mac: OSX Yosemite (10.10.2) Java version 8 update 31 Safari 8.0.4 I am unable to run any Java applet on Safari. I have added multiple sites to the exception ...
0
votes
1answer
15 views

Linker Error: leJOS NXJ HelloWorld complains 32 bit JVM unsupported

I trying to get started using leJOS NXJ to develop in Java for my Mindstorms NXT. I've installed Oracle's Java 8 JDK, Eclipse and leJOS NXJ on my Macbook Pro running Mountain Lion. When I try to ...
0
votes
1answer
82 views

Why is Java SE 6 Legacy required to open Intellij?

I currently deleted Apple Legacy Java SE6 on my macbook because I've already downloaded JRE8 on my machine and I think I no longer need the older version. After I deleted it, every time I opened ...
0
votes
0answers
116 views

What causes the pop-up “To view this web content, you need to install the Java Runtime Environment”

On OSX Yosemite an annoying pop-up comes up quite often saying: To view this web content, you need to install the Java Runtime Environment I know the solution is to install java; however I'm ...
0
votes
0answers
33 views

How to REALLY update Java? [duplicate]

System preferences tells me that I have Java 8 Update 40 on my Mac Book Pro. However, Eclipse IDE complains that it needs at least version 1.7 or greater. And on the console, java -version tells me, I ...
0
votes
2answers
101 views

How to uninstall Java 1.8 under OS X 10.10 Yosemite?

There are a few answers on old questions about the same issue under Lion / Mountain Lion. Now with Java 1.8 and OS X 10.10 I wonder if anything has changed? Would be great to have exact removal steps. ...
0
votes
1answer
94 views

Eclipse Fails To Launch Complaining of Incompatible Java VM

I get the following error when trying to launch Eclipse, which I recently tried to install. "Version 1.6.0_65 of the JVM is not suitable for this product. Version 1.7 or greater is required." I'm ...
1
vote
2answers
67 views

How to start SQL Developer with the correct Java Version?

I've Java 1.8 installed on my Mac OS Yosemite... and Terminal shows the following: mccoy:~ daniel$ which java /usr/bin/java mccoy:~ daniel$ java -version java version "1.8.0_25" Java(TM) SE Runtime ...
2
votes
1answer
28 views

Apple says I'm signing an app with old OS version, and I'm not

I'm trying to submit a Java-based app to AppStore. After having the worst headaches in my life trying to sign everything my last problem (I hope!) is this: Invalid code signature - Signatures ...
0
votes
0answers
19 views

How to install java 7 on yosemite properly? [duplicate]

When I type java -version I see: No Java runtime present, requesting install. I go to download and install jre-7u75-macosx-x64. After that in preferences I see Java control panel which tells me ...
-1
votes
3answers
207 views

How do I install Apache Tomcat 7.0.x on Yosemite? [closed]

I am a junior-level developer beginning to work on a project that requires me to use Apache 7.0.x, and I'm running Yosemite with a Windows 7 VM. When I did some research on how to get Apache, I ...
0
votes
2answers
122 views

Java 8 is not working

I have updated to yosemite and installed java 8. But, it is not working. When I try to verify java version or run any java app on browsers (chrome and safari), I see blank field. If there is any ...
-2
votes
1answer
21 views

I hava java 7, but can't get to it

I have java 7, according to the java control panel, and an online tester, but I can't switch to it, it doesn't show up anywhere. It just says I have it. Is there any way to do it without admin access? ...
0
votes
1answer
25 views

How to restart a process without user interaction

I killed a process (a simple .jar running in the background as a global agent) by pkill -9 java. Since the global agent in launchd is configured as keepAlive the process gets restarted immediately. ...
0
votes
2answers
77 views

I can't find the location of jdk for Java 7 and 8 [duplicate]

I have 3 different versions (jdk) of Java installed: 6, 7 and 8. In bash_profile: export JAVA_HOME=$(/usr/libexec/java_home -v 1.8) setjdk() { export JAVA_HOME=$(/usr/libexec/java_home -v $1) } ...
1
vote
0answers
52 views

Location of java.security and deployment.properties files

Where are java.security and deployment.properties files located on Mac OS Yosemite??
1
vote
3answers
107 views

Shell script to restart a certain process if it is not responding

I need an java application to run 24/7 on my mac. Unfortunately the JVM process sometimes gets stuck and thus the java application does not respond anymore. Is there a possebility to detect if a ...
0
votes
1answer
161 views

“Failed to install SGD client” when accessing the secure global desktop from OS X

I am having an issue since I have upgraded to OS X Yosemite. I used to previously remotely access my work's Windows system from my Mac (OS X Mavericks). I had installed XQuartz and Java and was using ...
1
vote
1answer
283 views

Now when Chrome is 64-bits, how do I install the Java plugin?

As long as Chrome just was 32 bit, the Java plugin was not supported since Java for Mac OS X is 64 bit but now when Chrome (since version 39) is 64 bit, how do I install/enable the Java plugin? ...
1
vote
1answer
203 views

How can I eliminate this repeated Java Runtime Environment (JRE) pop-up window?

This window has been popping up repeatedly: I was sure that I already had the latest version of Java installed, but to verify I went here: https://www.java.com/en/download/installed.jsp And sure ...
0
votes
1answer
51 views

What are the dimensions for the apple dock icons?

I have figured out how to change the icon for my program that I made in java, but now the default icon goes and nothing is there, is it because of the incorrect dimensions? I currently have a 16x16 ...
1
vote
1answer
108 views

How to launch web start on 10.10 OSX

My wife is taking an online class and it says it needs to launch using Java Web Start. I've changed the endings from .ed files to .jnlp files and make sure I click open other and select Java Web ...
0
votes
1answer
225 views

Problem with installing Java: java: command not found

I just installed Java 8.25 but I'm still not getting 'legacy' applications to work. I tried verifying the version in terminal: manfred$ java --version -bash: java: command not found I think there's ...
1
vote
1answer
35 views

iMac install Java, webpage test succeeds, `javac` fails

I'm trying to install Java on my iMac running 10.9.5. I downloaded and installed JDK according to the official Oracle instructions. When testing via the web-page at the end of the install, Java is ...
1
vote
1answer
61 views

Automator fails. Is there a better solution?

Recently I was trying to train an Automator script to run some mundane tasks - unfortunately it stops at the first step. I clicked the "record" button on my old Mac OS 10.5 machine, opened Keychain ...
1
vote
0answers
193 views

Mac preventing loading Java site

I am trying to administer my Western Digital MyBookLife home network drive, using the Java based admin console provided by WD. The console is a web application served up from the drive itself. ...
0
votes
0answers
55 views

No java installations was detected, although I have Java

$ java -version java version "1.6.0_65" Java(TM) SE Runtime Environment (build 1.6.0_65-b14-462-11M4609) Java HotSpot(TM) 64-Bit Server VM (build 20.65-b04-462, mixed mode) $ which java /usr/bin/java ...
1
vote
0answers
53 views

Custom built Java Mac app won't run when in /Applications folder [closed]

I have a Java-based application that I've developed for a while now. When I create a Mac .app bundle, I do so by copying the following contents into the .app folder: ...
0
votes
1answer
99 views

Java issue with osx…installed latest but java apps not working

I have an odd issue on my MAC. I installed java 1.8 sdk so I can use some Java applications however when I run any java based apps, they look real weird or I can get an error saying to use the latest ...
0
votes
0answers
33 views

Need help fixing bus error in Eclipse Java? possible Pathway problem

Whats up folks, i have posted this question on other forums but got no reply, just note before you read, my terminology is not the greatest, im only studying IT this year, so my knowledge be still a ...
2
votes
2answers
2k views

Java Pop-Up Window

I keep getting a pop-up window that states "To view this content you must download Java Runtime Environment". I even got it while using Pages. Now supposedly one cannot get viruses on Macs ...
4
votes
2answers
7k views

Yosemite keeps asking to install Java runtime, while it's installed

I was prompted to install JRE version 8 after upgrading to Yosemite on the family 2010 21" iMac. After I installed it (and checked whether the correct version was installed on the site of Oracle) it ...
1
vote
0answers
193 views

Installation of Java SE 6 legacy disables audio in Yosemite?

I am having difficulty with the Apple Java Legacy SE 6 software update on my Mac running Yosemite. I need to install the SE 6 because I have two applications that require it. After installing, my ...
0
votes
0answers
172 views

Updating OSX's Java version

After the upgrade from Mavericks to Yosemite, some Java applications begin failing. Specifically, the error message is Dyld Error Message: Symbol not found: _CGContextSetAllowsAcceleration ...
0
votes
1answer
77 views

Does the App Store update Java, if installed?

If I installed Java (or an older version), will the App Store update my local installation, even though I installed, and updated it outside of that? http://support.apple.com/kb/DL1572
1
vote
2answers
54 views

How does one detect if java is installed without triggering a visual prompt?

On most systems, one would just run java -version and a non-zero return code would indicate that Java is not installed. One could do this on OS X, but a nuisance-prompt comes up to ask the user if ...
1
vote
2answers
215 views

Yosemite maximization shortcut and Java applications

I'm using OSX Yosemite and I hate how windows maximization works... previously (with Mountain Lion) I was using RightZoom, in order to always maximize windows as it should be (using the whole space). ...
10
votes
2answers
28k views

Install Java JRE 6 (next to JRE 7) on OS X 10.10 Yosemite?

I need to test a web application with JRE 6. I am using a Mac with OS X 10.10 and Java 7 for development. How can I install JRE 6 next to Java 7 on this Mac? This previous answer does not yet ...
2
votes
2answers
1k views

Jetbrains'IDE can't start after upgrading to OS X Yosemite

Yesterday I upgrade my MBP to OSX 10.10 Yosemite, everything went well. But When I try to start Pycharm, it shows me this It means "You need to install old Java SE 6 runtime to run Pycharm". It ...
0
votes
3answers
6k views

How to enable Eclipse on OS X Yosemite?

I've just upgraded to Yosemite. I'm trying to run the latest version of Eclipse but I get an error saying that Eclipse cannot run on Java 6. Running java --version on Terminal gives me Java 8. Why is ...
0
votes
0answers
363 views

Workaround Java 8 Security application blocked issue

Trying to use a Java application. But it is blocked by java security. OS: OS X Yosemite 10.10 Java: Java 8 While changing settings in Java Control Panel, only two options are available: High & ...
1
vote
3answers
3k views

Why can't websites access JRE in Yosemite?

Please see the attached image which shows an error/information message I am seeing regularly since upgrading to Yosemite. I don't know which website is asking for Java, as there is a different site ...
0
votes
1answer
212 views

Is it possible to use Adobe CS5 with Java SE 7?

I have Adobe CS5 installed (old version because it's what my institutional site license covers) on Mavericks. Whenever I boot my system, I get the following dialog box: However, I don't have Java ...
5
votes
1answer
3k views

Will Eclipse + Android Developer Tools plugin work on OS X Yosemite?

I would like to update my system to the newest 10.10 Yosemite version, but I use quite intensively Eclipse + ADT to develop apps for Android. Does anyone have any experience with running this software ...
0
votes
0answers
17 views

Is it possible to keep the Java version for apps/applets in sync with JDK?

I use Java applications and applets as well as the JDK for Java development on Mavericks, so in the modern OS X environment this means you download both the JRE and JDK from Oracle. However, this ...
2
votes
1answer
93 views

Software is corrupt that worked only months ago?

I have been trying to use the Java Decompiler, JD-GUI, on my 2007 iMac running OS X 10.9.5 for the past week, but I have been running into a road block. Only a few weeks ago, I did not have this ...
1
vote
1answer
59 views

How to use Hungarian tax reporting application called ABEVJAVA on Mac?

I have installed Hungarian tax reporting software called ABEVJAVA. I put into my home folder. Then for test it I downloaded a report template called NAV_1408.jnlp On windows I have to double click it, ...